## openttd-opengfx 0.1.0

=== Makefile ===
# Makefile for OpenGFX set

MAKEFILELOCAL=Makefile.local
MAKEFILECONFIG=Makefile.config

SHELL = /bin/sh

# Add some OS detection and guess an install path (use the system's default)
OSTYPE=$(shell uname -s)
ifeq ($(OSTYPE),Linux)
INSTALLDIR=$(HOME)/.openttd/data
else
ifeq ($(OSTYPE),Darwin)
INSTALLDIR=$(HOME)/Documents/OpenTTD/data
else
ifeq ($(shell echo "$(OSTYPE)" | cut -d_ -f1),MINGW32)
INSTALLDIR=C:\Documents and Settings\$(USERNAME)\My Documents\OpenTTD\data
else
INSTALLDIR=
endif
endif
endif

GRF_REVISION = $(shell hg parent --template="{rev}\n")

include ${MAKEFILECONFIG}

# OS detection: Cygwin vs Linux
ISCYGWIN = $(shell [ ! -d /cygdrive/ ]; echo $$?)
NFORENUM = $(shell [ \( $(ISCYGWIN) -eq 1 \) ] && echo renum.exe || echo renum)
GRFCODEC = $(shell [ \( $(ISCYGWIN) -eq 1 \) ] && echo grfcodec.exe || echo grfcodec)

# this overrides definitions from above:
GRF_MODIFIED = $(shell [ -n "`hg status \"." | grep -v '^?'`" ] && echo "M" || echo "")
# " \" (syntax highlighting line
REPO_TAGS    = $(shell hg parent --template="{tags}" | grep -v "tip" | cut -d\  -f1)

-include ${MAKEFILELOCAL}

REPO_DIRS    = $(dir $(BUNDLE_FILES))

-include ${MAKEFILELOCAL}

vpath
vpath %.pfno $(SPRITEDIR)
vpath %.nfo $(SPRITEDIR)

# Now, the fun stuff:

# Target for all:
all : $(OBG_FILE)

test :
	$(_E) "Call of nforenum:             $(NFORENUM) $(NFORENUM_FLAGS)"
	$(_E) "Call of grfcodec:             $(GRFCODEC) $(GRFCODEC_FLAGS)"
	$(_E) "Local installation directory: $(INSTALLDIR)"
	$(_E) "Repository revision:          r$(GRF_REVISION)"
	$(_E) "GRF title:                    $(GRF_TITLE)"
	$(_E) "GRF filenames:                $(GRF_FILENAMES)"
	$(_E) "Documentation filenames:      $(DOC_FILENAMES)"
	$(_E) "nfo files:                    $(NFO_FILENAMES)"
	$(_E) "pnfo files:                   $(PNFO_FILENAMES)"
	$(_E) "dep files:                    $(DEP_FILENAMES)"
	$(_E) "Bundle files:                 $(BUNDLE_FILES)"
	$(_E) "Bundle filenames:             Tar=$(TAR_FILENAME) Zip=$(ZIP_FILENAME) Bz2=$(BZIP_FILENAME)"
	$(_E) "Dirs (nightly/release/base):  $(DIR_NIGHTLY) / $(DIR_RELEASE) / $(DIR_BASE)"
	$(_E) "===="

$(OBG_FILE) : $(GRF_FILENAMES)
	$(_E) "[Generating:] $(OBG_FILE)"
	@echo "[metadata]" > $(OBG_FILE)
	@echo "name        = $(GRF_NAME)" >> $(OBG_FILE)
	@echo "shortname   = $(GRF_SHORTNAME)" >> $(OBG_FILE)
	@echo "version     = $(GRF_REVISION)" >> $(OBG_FILE)
	@echo "description = $(GRF_DESCRIPTION) [$(GRF_TITLE)]" >> $(OBG_FILE)
	@echo "palette     = $(GRF_PALETTE)" >> $(OBG_FILE)

	@echo "" >> $(OBG_FILE)
	@echo "[files]" >> $(OBG_FILE)
	$(_V)for i in $(subst =, ,$(join $(foreach var,$(FILETYPE),"$(var)=" ), $(foreach var,$(GRF_FILENAMES),"$(var)"))); do printf "%-8s = %s\n" $$i >> $(OBG_FILE); done

	@echo "" >> $(OBG_FILE)
	@echo "[md5s]" >> $(OBG_FILE)
	$(_V)for i in $(GRF_FILENAMES); do printf "%-18s = %s\n" $$i `$(MD5SUM) $$i | cut -f1 -d\  ` >> $(OBG_FILE); done

	@echo "" >> $(OBG_FILE)
	@echo "[origin]" >> $(OBG_FILE)
	@echo "$(GRF_ORIGIN)" >> $(OBG_FILE)
	$(_E) "[Done] Basegraphics successfully generated."
	$(_E) ""

%.$(DEP_SUFFIX) : $(SPRITEDIR)/%.$(PNFO_SUFFIX)
	$(_E) "[Depend] $(@:$(DEP_SUFFIX)=$(GRF_SUFFIX))"
	$(_V) grep "sprites/pcx" $< | sed -e "s|^.*[ 	]\(sprites/pcx/[^ 	]*\).*|$< $(<:$(PNFO_SUFFIX)=$(NFO_SUFFIX)) : \1|" | sort | uniq > $@

# Compile GRF
%.$(GRF_SUFFIX) : $(SPRITEDIR)/%.$(NFO_SUFFIX)
	$(_E) "[Generating] $@"
	$(_V)$(GRFCODEC) $(GRFCODEC_FLAGS) $@
	$(_E)

# NFORENUM process copy of the NFO
.SECONDARY: %.$(NFO_SUFFIX)
.PRECIOUS: %.$(NFO_SUFFIX)
%.$(NFO_SUFFIX) : %.$(PNFO_SUFFIX)
	$(_E) "[Checking] $@"
	$(_V) cp $< $@
	$(_E) "[nforenum] $@"
	$(_V)-$(NFORENUM) $(NFORENUM_FLAGS) $@

# Clean the source tree
clean:
	$(_E) "[Cleaning]"
	$(_V)-rm -rf *.orig *.pre *.bak *.grf *.new *~ $(GRF_FILENAME)* $(DEP_FILENAMES) $(SPRITEDIR)/$(GRF_FILENAME).* $(SPRITEDIR)/*.bak $(SPRITEDIR)/*.nfo $(DOC_FILENAMES)
	
mrproper: clean
	$(_V)-rm -rf $(DIR_NIGHTLY)* $(DIR_RELEASE)* $(SPRITEDIR)/$(GRF_FILENAME) $(OBG_FILE) $(DIR_RELEASE_SRC)

$(DIR_NIGHTLY) $(DIR_RELEASE) : $(BUNDLE_FILES)
	$(_E) "[BUNDLE]"
	$(_E) "[Generating:] $@/."
	$(_V)if [ -e $@ ]; then rm -rf $@; fi
	$(_V)mkdir $@
	$(_V)-for i in $(BUNDLE_FILES); do cp $$i $@; done
bundle: $(DIR_NIGHTLY)

%.$(TXT_SUFFIX): %.$(PTXT_SUFFIX)
	$(_E) "[Generating:] $@"
	$(_V) cat $< \
		| sed -e "s/$(GRF_TITLE_DUMMY)/$(GRF_TITLE)/" \
		| sed -e "s/$(OBG_FILE_DUMMY)/$(OBG_FILE)/" \
		| sed -e "s/$(REVISION_DUMMY)/$(GRF_REVISION)/" \
		> $@

%.$(TAR_SUFFIX): % $(BUNDLE_FILES)
# Create the release bundle with all files in one tar
	$(_E) "[Generating:] $@"
	$(_V)$(TAR) $(TAR_FLAGS) $@ $(basename $@)
	$(_E)

bundle_tar: $(TAR_FILENAME)
bundle_zip: $(ZIP_FILENAME)
$(ZIP_FILENAME): $(TAR_FILENAME) $(DOC_FILENAMES)
	$(_E) "[Generating:] $@"
	$(_V)$(ZIP) $(ZIP_FLAGS) $@ $^
bundle_bzip: $(BZIP_FILENAME)
$(BZIP_FILENAME): $(TAR_FILENAME)
	$(_E) "[Generating:] $@"
	$(_V)$(BZIP) $(BZIP_FLAGS) $<

# Installation process
install: $(TAR_FILENAME) $(INSTALLDIR)
	$(_E) "[INSTALL] to $(INSTALLDIR)"
	$(_V)-cp $(TAR_FILENAME) $(INSTALLDIR)
	$(_E)

release: $(DIR_RELEASE) $(DIR_RELEASE).$(TAR_SUFFIX)
	$(_E) "[RELEASE] $(DIR_RELEASE)"
release-install: release
	$(_E) "[INSTALL] to $(INSTALLDIR)"
	$(_V)-cp $(DIR_RELEASE).$(TAR_SUFFIX) $(INSTALLDIR)
	$(_E)
release_zip: $(DIR_RELEASE).$(TAR_SUFFIX) $(DOC_FILENAMES)
	$(_E) "[Generating:] $(ZIP_FILENAME)"
	$(_V)$(ZIP) $(ZIP_FLAGS) $(ZIP_FILENAME) $^
release_source:
	$(_V) rm -rf $(DIR_RELEASE_SRC)
	$(_V) mkdir -p $(DIR_RELEASE_SRC)
	$(_V) cp -R $(SPRITEDIR) $(DOCDIR) Makefile Makefile.config $(DIR_RELEASE_SRC)
	$(_V) cp Makefile.local.sample $(DIR_RELEASE_SRC)/Makefile.local
	$(_V) echo 'GRF_REVISION = $(GRF_REVISION)' >> $(DIR_RELEASE_SRC)/Makefile.local
	$(_V) echo 'GRF_MODIFIED = $(GRF_MODIFIED)' >> $(DIR_RELEASE_SRC)/Makefile.local
	$(_V) echo 'REPO_TAGS    = $(REPO_TAGS)'    >> $(DIR_RELEASE_SRC)/Makefile.local
	$(_V) $(MAKE) -C $(DIR_RELEASE_SRC) mrproper
	$(_V) $(TAR) --gzip -cf $(DIR_RELEASE_SRC).tar.gz $(DIR_RELEASE_SRC)
	$(_V) rm -rf $(DIR_RELEASE_SRC)

$(INSTALLDIR):
	$(_E) "$(error Installation dir does not exist. Check your makefile.local)"

remake: clean all

-include $(DEP_FILENAMES)

## openttd-opengfx 0.1.1

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,11 @@
 endif
 endif
 
+# define a few repository references used also in makefile.config
 GRF_REVISION = $(shell hg parent --template="{rev}\n")
+GRF_MODIFIED = $(shell [ -n "`hg status \"." | grep -v '^?'`" ] && echo "M" || echo "")
+# " \" (syntax highlighting line
+REPO_TAGS    = $(shell hg parent --template="{tags}" | grep -v "tip" | cut -d\  -f1)
 
 include ${MAKEFILECONFIG}
 
@@ -31,10 +35,6 @@
 GRFCODEC = $(shell [ \( $(ISCYGWIN) -eq 1 \) ] && echo grfcodec.exe || echo grfcodec)
 
 # this overrides definitions from above:
-GRF_MODIFIED = $(shell [ -n "`hg status \"." | grep -v '^?'`" ] && echo "M" || echo "")
-# " \" (syntax highlighting line
-REPO_TAGS    = $(shell hg parent --template="{tags}" | grep -v "tip" | cut -d\  -f1)
-
 -include ${MAKEFILELOCAL}
 
 REPO_DIRS    = $(dir $(BUNDLE_FILES))
@@ -156,7 +156,7 @@
 
 release: $(DIR_RELEASE) $(DIR_RELEASE).$(TAR_SUFFIX)
 	$(_E) "[RELEASE] $(DIR_RELEASE)"
-release-install: release
+release-install: release $(INSTALLDIR)
 	$(_E) "[INSTALL] to $(INSTALLDIR)"
 	$(_V)-cp $(DIR_RELEASE).$(TAR_SUFFIX) $(INSTALLDIR)
 	$(_E)
@@ -176,8 +176,7 @@
 	$(_V) rm -rf $(DIR_RELEASE_SRC)
 
 $(INSTALLDIR):
-	$(_E) "$(error Installation dir does not exist. Check your makefile.local)"
+	$(_E) "Install dir didn't exist. Creating $@"
+	$(_V) mkdir -p $(INSTALLDIR)
 
 remake: clean all
-
--include $(DEP_FILENAMES)

## openttd-opengfx 0.2.0

=== Makefile ===
# Makefile for OpenGFX set

MAKEFILELOCAL=Makefile.local
MAKEFILECONFIG=Makefile.config
MAKEFILEDEP=Makefile.dep

SHELL = /bin/sh

# Add some OS detection and guess an install path (use the system's default)
OSTYPE=$(shell uname -s)
ifeq ($(OSTYPE),Linux)
INSTALLDIR=$(HOME)/.openttd/data
else
ifeq ($(OSTYPE),Darwin)
INSTALLDIR=$(HOME)/Documents/OpenTTD/data
else
ifeq ($(shell echo "$(OSTYPE)" | cut -d_ -f1),MINGW32)
INSTALLDIR=C:\Documents and Settings\$(USERNAME)\My Documents\OpenTTD\data
else
INSTALLDIR=
endif
endif
endif

# define a few repository references used also in makefile.config
GRF_REVISION = $(shell hg parent --template="{rev}\n")
GRF_MODIFIED = $(shell [ -n "`hg status '.' | grep -v '^?'`" ] && echo "M" || echo "")
REPO_TAGS    = $(shell hg parent --template="{tags}" | grep -v "tip" | cut -d\  -f1)

include ${MAKEFILECONFIG}

# OS detection: Cygwin vs Linux
ISCYGWIN = $(shell [ ! -d /cygdrive/ ]; echo $$?)
NFORENUM = $(shell [ \( $(ISCYGWIN) -eq 1 \) ] && echo renum.exe || echo renum)
GRFCODEC = $(shell [ \( $(ISCYGWIN) -eq 1 \) ] && echo grfcodec.exe || echo grfcodec)

# this overrides definitions from above:
-include ${MAKEFILELOCAL}

DIR_BASE       = $(GRF_FILENAME)-
VERSION_STRING = $(shell [ -n "$(REPO_TAGS)" ] && echo $(REPO_TAGS)$(GRF_MODIFIED) || echo $(GRF_NIGHTLYNAME)-r$(GRF_REVISION)$(GRF_MODIFIED))
DIR_NAME       = $(shell [ -n "$(REPO_TAGS)" ] && echo $(DIR_BASE)$(VERSION_STRING) || echo $(DIR_BASE)$(GRF_NIGHTLYNAME))
DIR_NAME_SRC   = $(DIR_NAME)-source
TAR_FILENAME   = $(DIR_NAME).$(TAR_SUFFIX)
ZIP_FILENAME   = $(DIR_NAME).$(ZIP_SUFFIX)
BZIP_FILENAME  = $(DIR_NAME).$(BZIP2_SUFFIX)

REPO_DIRS    = $(dir $(BUNDLE_FILES))

-include ${MAKEFILELOCAL}

vpath
vpath %.pfno $(SPRITEDIR)
vpath %.nfo $(SPRITEDIR)

.PHONY: clean all bundle bundle_tar bundle_zip bundle_bzip install release release_zip remake test

# Now, the fun stuff:

# Target for all:
# all : $(OBG_FILE)
all : $(MAKEFILEDEP) $(OBG_FILE)

-include ${MAKEFILEDEP}

test :
	$(_E) "Call of nforenum:             $(NFORENUM) $(NFORENUM_FLAGS)"
	$(_E) "Call of grfcodec:             $(GRFCODEC) $(GRFCODEC_FLAGS)"
	$(_E) "Local installation directory: $(INSTALLDIR)"
	$(_E) "Repository revision:          r$(GRF_REVISION)"
	$(_E) "GRF title:                    $(GRF_TITLE)"
	$(_E) "GRF filenames:                $(GRF_FILENAMES)"
	$(_E) "Documentation filenames:      $(DOC_FILENAMES)"
	$(_E) "nfo files:                    $(NFO_FILENAMES)"
	$(_E) "pnfo files:                   $(PNFO_FILENAMES)"
	$(_E) "dep files:                    $(DEP_FILENAMES)"
	$(_E) "Bundle files:                 $(BUNDLE_FILES)"
	$(_E) "Bundle filenames:             Tar=$(TAR_FILENAME) Zip=$(ZIP_FILENAME) Bz2=$(BZIP_FILENAME)"
	$(_E) "Dirs (base and full):         $(DIR_BASE) / $(DIR_NAME)"
	$(_E) "Path to Unix2Dos:             $(UNIX2DOS)"
	$(_E) "===="

$(OBG_FILE) : $(GRF_FILENAMES) $(DESC_FILENAME) $(README_FILENAME) $(CHANGELOG_FILENAME) $(LICENSE_FILENAME)
	$(_E) "[Generating:] $(OBG_FILE)"
	@echo "[metadata]" > $(OBG_FILE)
	@echo "name        = $(GRF_NAME)" >> $(OBG_FILE)
	@echo "shortname   = $(GRF_SHORTNAME)" >> $(OBG_FILE)
	@echo "version     = $(GRF_REVISION)" >> $(OBG_FILE)
	@echo "palette     = $(GRF_PALETTE)" >> $(OBG_FILE)
	$(_V) cat $(DESC_FILENAME) | sed 's/$$/ [$(GRF_TITLE)]/' >> $(OBG_FILE)

	@echo "" >> $(OBG_FILE)
	@echo "[files]" >> $(OBG_FILE)
	$(_V)for i in $(subst =, ,$(join $(foreach var,$(FILETYPE),"$(var)=" ), $(foreach var,$(GRF_FILENAMES),"$(var)"))); do printf "%-8s = %s\n" $$i >> $(OBG_FILE); done

	@echo "" >> $(OBG_FILE)
	@echo "[md5s]" >> $(OBG_FILE)
	$(_V)for i in $(GRF_FILENAMES); do printf "%-18s = %s\n" $$i `$(MD5SUM) $$i | cut -f1 -d\  ` >> $(OBG_FILE); done

	@echo "" >> $(OBG_FILE)
	@echo "[origin]" >> $(OBG_FILE)
	@echo "$(GRF_ORIGIN)" >> $(OBG_FILE)
	$(_E) "[Done] Basegraphics successfully generated."
	$(_E) ""

$(MAKEFILEDEP): $(PNFO_FILENAMES)
	$(_E) "[Depend]"
	$(_V) rm -rf $(MAKEFILEDEP)
	$(_V) for i in $(PNFO_FILENAMES); do grep "sprites/pcx" $$i | sed -e "s|^.*[ 	]\(sprites/pcx/[^ 	]*\).*|$$i: \1|" | sed "s/$(PNFO_SUFFIX)/$(GRF_SUFFIX)/" | sed "s|$(SPRITEDIR)/||" | sort | uniq >> $(MAKEFILEDEP); done
	$(_V) $(MAKE) $(OBG_FILE)

# Compile GRF
%.$(GRF_SUFFIX) : $(SPRITEDIR)/%.$(NFO_SUFFIX)
	$(_E) "[Generating] $@"
	$(_V)$(GRFCODEC) $(GRFCODEC_FLAGS) $@
	$(_E)

# NFORENUM process copy of the NFO
.SECONDARY: %.$(NFO_SUFFIX)
.PRECIOUS: %.$(NFO_SUFFIX)
%.$(NFO_SUFFIX) : %.$(PNFO_SUFFIX)
	$(_E) "[Checking] $@"
	$(_V) $(CC) $(CC_FLAGS) $< > $@
	$(_E) "[nforenum] $@"
	$(_V)-$(NFORENUM) $(NFORENUM_FLAGS) $@

# Clean the source tree
clean:
	$(_E) "[Cleaning]"
	$(_V)-rm -rf *.orig *.pre *.bak *.grf *.new *~ $(GRF_FILENAME)* $(DEP_FILENAMES) $(SPRITEDIR)/$(GRF_FILENAME).* $(SPRITEDIR)/*.bak $(SPRITEDIR)/*.nfo $(DOC_FILENAMES) $(MAKEFILEDEP)

mrproper: clean
	$(_V)-rm -rf $(DIR_BASE)* $(SPRITEDIR)/$(GRF_FILENAME) $(OBG_FILE) $(DIR_NAME_SRC)

$(DIR_NAME) : $(BUNDLE_FILES)
	$(_E) "[BUNDLE]"
	$(_E) "[Generating:] $@/."
	$(_V)if [ -e $@ ]; then rm -rf $@; fi
	$(_V)mkdir $@
	$(_V)-for i in $(BUNDLE_FILES); do cp $$i $@; done
	$(_V) if [ `type -p $(UNIX2DOS)` ]; then $(UNIX2DOS) $(addprefix $@/,$(notdir $(DOC_FILENAMES))) &> /dev/null && echo " - Converting to DOS line endings"; else echo " - Cannot convert to DOS line endings!"; fi

bundle: $(DIR_NAME)

%.$(TXT_SUFFIX): %.$(PTXT_SUFFIX)
	$(_E) "[Generating] $@"
	$(_V) cat $< \
		| sed -e "s/$(GRF_TITLE_DUMMY)/$(GRF_TITLE)/" \
		| sed -e "s/$(OBG_FILE_DUMMY)/$(OBG_FILE)/" \
		| sed -e "s/$(REVISION_DUMMY)/$(GRF_REVISION)/" \
		> $@

%.$(TAR_SUFFIX): % $(BUNDLE_FILES)
# Create the release bundle with all files in one tar
	$(_E) "[Generating:] $@"
	$(_V)$(TAR) $(TAR_FLAGS) $@ $(basename $@)
	$(_E)

bundle_tar: $(TAR_FILENAME)
bundle_zip: $(ZIP_FILENAME)
$(ZIP_FILENAME): $(DIR_NAME)
	$(_E) "[Generating:] $@"
	$(_V)$(ZIP) $(ZIP_FLAGS) $@ $^
bundle_bzip: $(BZIP_FILENAME)
$(BZIP_FILENAME): $(TAR_FILENAME)
	$(_E) "[Generating:] $@"
	$(_V)$(BZIP) $(BZIP_FLAGS) $^

# Installation process
install: $(TAR_FILENAME) $(INSTALLDIR)
	$(_E) "[INSTALL] to $(INSTALLDIR)"
	$(_V)-cp $(TAR_FILENAME) $(INSTALLDIR)
	$(_E)

bundle_src:
	$(_V) rm -rf $(DIR_NAME_SRC)
	$(_V) mkdir -p $(DIR_NAME_SRC)
	$(_V) cp -R $(SPRITEDIR) $(DOCDIR) Makefile Makefile.config $(DIR_NAME_SRC)
	$(_V) cp Makefile.local.sample $(DIR_NAME_SRC)/Makefile.local
	$(_V) echo 'GRF_REVISION = $(GRF_REVISION)' >> $(DIR_NAME_SRC)/Makefile.local
	$(_V) echo 'GRF_MODIFIED = $(GRF_MODIFIED)' >> $(DIR_NAME_SRC)/Makefile.local
	$(_V) echo 'REPO_TAGS    = $(REPO_TAGS)'    >> $(DIR_NAME_SRC)/Makefile.local
	$(_V) $(MAKE) -C $(DIR_NAME_SRC) mrproper
	$(_V) $(TAR) --gzip -cf $(DIR_NAME_SRC).tar.gz $(DIR_NAME_SRC)
	$(_V) rm -rf $(DIR_NAME_SRC)

$(INSTALLDIR):
	$(_E) "Install dir didn't exist. Creating $@"
	$(_V) mkdir -p $(INSTALLDIR)
	
release-install:
	$(_E) "Target is obsolete. Use 'install' instead."
release-source:
	$(_E) "Target is obsolete. Use 'bundle_src' instead."
release_zip:
	$(_E) "Target is obsolete. Use 'bundle_zip' instead."

remake: clean all

## openttd-opengfx 0.2.3

=== debian/changelog ===
openttd-opengfx (0.2.3-1) unstable; urgency=low

  * [0c1f44c] New upstream release 0.2.3.
  * [4c16724] Remove all patches, all issues have been fixed upstream.
  * [3c17006] Enable md5 sum checking after build.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 02 Apr 2010 15:51:39 +0200

openttd-opengfx (0.2.1-1) unstable; urgency=low

  * Initial release (Closes: #567626)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 12 Mar 2010 15:07:35 +0100

## openttd-opengfx 0.2.4

=== debian/changelog ===
openttd-opengfx (0.2.4-1) unstable; urgency=low

  * [a68e6b1] New upstream release 0.2.4.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sat, 01 May 2010 18:02:38 +0200

=== debian/control ===
Source: openttd-opengfx
Section: games
Priority: extra
Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), nforenum, grfcodec
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/openttd-opengfx.git
Vcs-Git: git://git.debian.org/collab-maint/openttd-opengfx.git
Homepage: http://dev.openttdcoop.org/projects/opengfx

Package: openttd-opengfx
Architecture: all
Depends: ${misc:Depends}
Description: a free graphics set for use with the OpenTTD game
 OpenGFX is a graphics set for the OpenTTD game that has been built from
 scratch under an open license. It allows the OpenTTD game to be played without
 needing the graphics files from the original Transport Tycoon Deluxe game.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	# We configure by writing to Makefile.local
	echo "INSTALL_DIR=debian/openttd-opengfx/usr/share/games/openttd/data/" >> Makefile.local
	# Force nforenum to store its datafiles in ./.renum instead of
	# trying ~/.renum
	echo "NFORENUM_FLAGS=-D." >> Makefile.local

override_dh_auto_build:
	# Docs are not built by default
	make all docs

override_dh_auto_test:
	# Check if the md5 sums of the resulting grf files match. This
	# ensures no problems will arise in online play, which uses both
	# version info and md5 sums of files. We don't use dh_auto_test
	# here, because "make test" is also supported, but gives debug
	# output.
	make check

override_dh_auto_clean:
	# Don't use dh for clean. Since the upstream Makefile generates
	# dependency information before any error messages, dh_auto_clean
	# sometimes thinks make distclean is supported, while it isn't.
	# Use clean instead of mrproper, since the latter removes the md5
	# sums from the source tarball (but clean doesn't remove enough...).
	# Next upstream release should have a distclean target that works
	# entirely.
	make clean
	# Remove our additions to Makefile.local
	sed -i "/^INSTALL_DIR=/d" Makefile.local
	sed -i "/^NFORENUM_FLAGS=/d" Makefile.local
	# Clean up the stuff nforenum leaves around.
	rm -rf .renum

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.txt

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://bundles.openttdcoop.org/opengfx/releases/opengfx-(.*)-source.tar.gz

## openttd-opengfx 0.3.6

=== debian/changelog ===
openttd-opengfx (0.3.6-1) unstable; urgency=low

  * [10e3bbf] New upstream release 0.3.6. (Closes: #644434)

    Note that 0.3.7 is already released at this time, but it requires an (as
    of yet) unreleased version of nforenum, so 0.3.7 will not be packaged yet.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 07 Oct 2011 12:06:07 +0200

openttd-opengfx (0.3.5-1) unstable; urgency=low

  * [a1f3136] New upstream release 0.3.5.
  * [ccf0015] Reword description to comply with the policy.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sun, 21 Aug 2011 11:57:38 +0200

openttd-opengfx (0.3.4-1) unstable; urgency=low

  * [2aed91a] New upstream release 0.3.4.
  * [c77a003] Drop build-dependency on nforenum, it is included in grfcodec now.
  * [98234fd] Bump Standards-Version to 3.9.2, no changes required.
  * [08b3bd9] Update watch file to new download location.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 04 Aug 2011 22:53:04 +0200

=== debian/control ===
Source: openttd-opengfx
Section: games
Priority: extra
Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), grfcodec (>= 5.1.1)
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=collab-maint/openttd-opengfx.git
Vcs-Git: git://git.debian.org/collab-maint/openttd-opengfx.git
Homepage: http://dev.openttdcoop.org/projects/opengfx

Package: openttd-opengfx
Architecture: all
Depends: ${misc:Depends}
Description: free graphics set for use with the OpenTTD game
 OpenGFX is a graphics set for the OpenTTD game that has been built from
 scratch under an open license. It allows the OpenTTD game to be played without
 needing the graphics files from the original Transport Tycoon Deluxe game.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	# We configure by writing to Makefile.local
	echo "INSTALL_DIR=debian/openttd-opengfx/usr/share/games/openttd/data/opengfx" >> Makefile.local
	# Force nforenum to store its datafiles in ./.renum instead of
	# trying ~/.renum
	echo "NFORENUM_FLAGS=-D." >> Makefile.local
	# Don't install these into the datadir, we'll let dh handle
	# these.
	echo "DO_NOT_INSTALL_CHANGELOG=1" >> Makefile.local
	echo "DO_NOT_INSTALL_LICENSE=1" >> Makefile.local
	echo "DO_NOT_INSTALL_DOCS=1" >> Makefile.local


override_dh_auto_build:
	# Docs are not built by default
	make all docs

override_dh_auto_test:
	# Check if the md5 sums of the resulting grf files match. This
	# ensures no problems will arise in online play, which uses both
	# version info and md5 sums of files. We don't use dh_auto_test
	# here, because "make test" is also supported, but gives debug
	# output.
	make check

override_dh_auto_clean:
	make distclean
	# Remove some files make distclean leaves (and even generates,
	# since dependency information is generated before every
	# target...).
	rm -f sprites/*.cnfo
	# Remove our Makefile.local
	rm -f Makefile.local
	# Clean up the stuff nforenum leaves around.
	rm -rf .nforenum

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.txt

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# The upstream site explicitly links to index.html for directory
# indexes, and uses a separate directory per release, so we do some
# downloadurlmangle magic to get at the right file.
# Also remove any +debian suffix for repackaged sources.
opts="dversionmangle=s/\+debian\d*$//,downloadurlmangle=s/\/([\d\.]*)\/index.html$/\/$1\/opengfx-$1-source.tar.gz/" \
http://master.binaries.openttd.org/extra/opengfx/ \
(\d+(?:\.\d+)*)/index.html

## openttd-opengfx 0.3.7

=== Makefile ===
# Generic NewGRF Makefile

# Name of the Makefile which contains all the settings which describe
# how to make this newgrf. It defines all the paths, the grf name,
# the files for a bundle etc.
MAKEFILE=Makefile
MAKEFILE_DEP=Makefile.dep

# Include the project's configuration file
include Makefile.config

# this overrides definitions from above by individual settings
# (if applicable):
-include Makefile.dist
-include Makefile.local

# include the universal Makefile definitions for NewGRF Projects
include scripts/Makefile.def

# Check dependencies for building all:
all: $(TARGET_FILES) $(DOC_FILES)
	
# Rules used by all projects
include scripts/Makefile.common

# Include the project type specific Makefiles. They take care of
# their conditional inclusion themselves
-include scripts/Makefile_nfo # nfo-style projects
-include scripts/Makefile_nml # nml-style projects
-include scripts/Makefile_obg # additionally for graphic base sets
-include scripts/Makefile_obs # sound base sets

# Include repo-specific rules (if applicable)
-include Makefile.in
-include scripts/Makefile.in

# Include rules for bundle generation
include scripts/Makefile.bundles

# Include dependencies (if applicable)
-include Makefile.dep
-include $(patsubst %.grf,%.src.dep,$(GRF_FILES))
-include $(patsubst %.grf,%.gfx.dep,$(GRF_FILES))
-include Makefile_gfx.dep # write png files from source psd/xcf files

=== debian/changelog ===
openttd-opengfx (0.3.7-1) unstable; urgency=low

  * [b03894c] New upstream release 0.3.7.
  * [7604f59] Build-depend on grfcodec >= 5.1.2.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 06 Dec 2011 19:46:42 +0100

=== debian/control ===
Source: openttd-opengfx
Section: games
Priority: extra
Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), grfcodec (>= 5.1.2)
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=collab-maint/openttd-opengfx.git
Vcs-Git: git://git.debian.org/collab-maint/openttd-opengfx.git
Homepage: http://dev.openttdcoop.org/projects/opengfx

Package: openttd-opengfx
Architecture: all
Depends: ${misc:Depends}
Description: free graphics set for use with the OpenTTD game
 OpenGFX is a graphics set for the OpenTTD game that has been built from
 scratch under an open license. It allows the OpenTTD game to be played without
 needing the graphics files from the original Transport Tycoon Deluxe game.

## openttd-opengfx 0.4.3-1maemo1

=== debian/changelog ===
openttd-opengfx (0.4.3-1maemo1) unstable; urgency=low

  * new upstream released

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue,  3 Apr 2012 07:29:09 -0400

openttd-opengfx (0.2.4-1maemo1) unstable; urgency=low

  * New upstream released.
  * Remove "nforenum" binary name patch (upstream calls nforenum now).

 -- Javier S. Pedro <maemo@javispedro.com>  Mon, 28 Jun 2010 23:40:04 +0200

openttd-opengfx (0.2.3-0maemo1) unstable; urgency=low

  * New upstream release.
  * Removed stub sample.cat (not required in newer openttd versions).

 -- Javier S. Pedro <maemo@javispedro.com>  Tue,  6 Apr 2010 17:28:09 +0200

openttd-opengfx (0.2.0-0maemo1) unstable; urgency=low

  * New upstream release.

 -- Javier S. Pedro <maemo@javispedro.com>  Tue, 22 Dec 2009 19:43:43 +0100

openttd-opengfx (0.1.1) unstable; urgency=low

  * New upstream release.

 -- Javier S. Pedro <maemo@javispedro.com>  Fri, 30 Oct 2009 23:36:08 +0100

openttd-opengfx (0.1.0-alpha6-0maemo2) unstable; urgency=low

  * Added build-depend on nforenum to fix build warnings.

 -- Javier S. Pedro <maemo@javispedro.com>  Fri,  4 Sep 2009 21:01:08 +0200

openttd-opengfx (0.1.0-alpha6-0maemo1) unstable; urgency=low

  * First release using real sources (instead of prebuilt binary).

 -- Javier S. Pedro <maemo@javispedro.com>  Sun, 30 Aug 2009 02:27:29 +0200

=== debian/control ===
Source: openttd-opengfx
Section: games
Priority: extra
Maintainer: Javier S. Pedro <maemo@javispedro.com>
Build-Depends: debhelper (>= 5), maemo-version, m4, quilt,
 grfcodec (>= 0.9.10), nforenum (>= 3.4.6)
Standards-Version: 3.7.2
Homepage: http://dev.openttdcoop.org/projects/opengfx

Package: openttd-opengfx
Architecture: all
Pre-Depends: openttd-data
Description: Free replacement of the base OpenTTD graphics
 The OpenGFX project for OpenTTD: a free replacement of the base graphics so
 that OpenTTD can be shipped finally fully functional without the need for
 additional downloads.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Using quilt
include /usr/share/quilt/quilt.make

# Determine Maemo version
MAEMO_VERSION:=$(shell cut -d"." -f1 /etc/maemo_version)

# Guess the OpenGFX Tar filename by looking at the package version number
VERSION=$(shell dpkg-parsechangelog | grep 'Version: ' | sed 's/Version: //' | sed 's/-.*$$//')

OPENTTD_DATA_DIR:=/usr/share/games/openttd/data
OPENGFX_TAR:=$(OPENTTD_DATA_DIR)/opengfx-$(VERSION).tar

M4=m4
M4DEFS=-DMAEMO_MAJOR=$(MAEMO_VERSION) -DOPENGFX_TAR=$(OPENGFX_TAR)

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp $(QUILT_STAMPFN)
	dh_testdir
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
# Clean doesn't seem to clean enough, and mrproper seems to clean too much...
	rm -fr .renum
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	
	$(M4) $(M4DEFS) debian/prerm.m4 > debian/prerm

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	mkdir -p $(CURDIR)/debian/openttd-opengfx$(OPENTTD_DATA_DIR)
	cp opengfx-$(VERSION).tar $(CURDIR)/debian/openttd-opengfx$(OPENTTD_DATA_DIR)
	
ifeq ($(shell expr "$(MAEMO_VERSION)" "<" 5), 1)
# Here comes a horrible Diablo hack.
# On Diablo, we plan to unpack this on a FAT filesystem, and we have to do
# some dirty tricks to avoid dpkg from failing.
#	Fixing permissions manually
	chown user:root $(CURDIR)/debian/openttd-opengfx$(OPENGFX_TAR)
else
	dh_fixperms
endif
	
	dh_compress
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## openttd-opengfx 0.4.4

=== debian/changelog ===
openttd-opengfx (0.4.4-1) unstable; urgency=low

  * [e652da2] New upstream release 0.4.4.
  * [a621db2] Upstream switched from nforenum/grfcodec to nml for
    building.
  * [cc8b1e1] Force rebuilding all png files for which gimp "source" files
    are available.
  * [3481ff6] Enable parallel building (not supported yet by upstream,
    though).
  * [48bd760] Bump Standards-Version to 3.9.3, no changes required.
  * [c22e8bf] Update copyright file to use the new copyright-format-1.0.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 18 Apr 2012 16:59:46 +0200

=== debian/control ===
Source: openttd-opengfx
Section: games
Priority: extra
Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), nml, gimp
Standards-Version: 3.9.3
Vcs-Browser: http://git.debian.org/?p=collab-maint/openttd-opengfx.git
Vcs-Git: git://git.debian.org/collab-maint/openttd-opengfx.git
Homepage: http://dev.openttdcoop.org/projects/opengfx

Package: openttd-opengfx
Architecture: all
Depends: ${misc:Depends}
Description: free graphics set for use with the OpenTTD game
 OpenGFX is a graphics set for the OpenTTD game that has been built from
 scratch under an open license. It allows the OpenTTD game to be played without
 needing the graphics files from the original Transport Tycoon Deluxe game.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Make sure that gimp doesn't read or write data into $HOME/.gimp-2.6
export GIMP2_DIRECTORY=$(CURDIR)/gimp-data

%:
	dh $@ --parallel

override_dh_auto_configure:
	# We configure by writing to Makefile.local
	echo "INSTALL_DIR=debian/openttd-opengfx/usr/share/games/openttd/data/opengfx" >> Makefile.local
	# Don't install these into the datadir, we'll let dh handle
	# these.
	echo "DO_NOT_INSTALL_CHANGELOG=1" >> Makefile.local
	echo "DO_NOT_INSTALL_LICENSE=1" >> Makefile.local
	echo "DO_NOT_INSTALL_DOCS=1" >> Makefile.local
	# Remove all graphics files that can be rebuilt (from gimp xcf
	# files).
	make clean-gfx

override_dh_auto_test:
	# Check if the md5 sums of the resulting grf files match. This
	# ensures no problems will arise in online play, which uses both
	# version info and md5 sums of files. We don't use dh_auto_test
	# here, because "make test" is also supported, but gives debug
	# output.
	make check

override_dh_auto_clean:
	make distclean
	# Remove our Makefile.local
	rm -f Makefile.local
	# Remove any data created by gimp
	rm -rf "$(GIMP2_DIRECTORY)"

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.txt

## openttd-opengfx 0.4.7

=== Makefile ===
# Generic NewGRF Makefile

# Necessary defines unique to this NewGRF
-include Makefile.dist
-include Makefile.local
include Makefile.config

# Necessary defines common to all NewGRFs
include scripts/Makefile.def

# most important build targets for users
all:
	$(_V) $(MAKE) $(MAKE_FLAGS) depend
	$(_V) $(MAKE) $(MAKE_FLAGS) gfx
	$(_V) $(MAKE) $(MAKE_FLAGS) $(TARGET_FILES) $(DOC_FILES)

docs: $(DOC_FILES)

gfx:
	$(_E) "[GFX]"

build-gfx:
	$(_V) $(MAKE) $(MAKE_FLAGS) depend
	$(_V) $(MAKE) $(MAKE_FLAGS) gfx

grf: $(GRF_FILES)

bundle:
	$(_V) $(MAKE) $(MAKE_FLAGS) build-gfx
	$(_V) $(MAKE) $(MAKE_FLAGS) $(DIR_NAME)

clean::
	$(_E) "[CLEAN]"

remake:
	$(_V) $(MAKE) $(MAKE_FLAGS) clean
	$(_V) $(MAKE) $(MAKE_FLAGS) all

distclean:: clean
	$(_E) "[DISTCLEAN]"

# Include custom rules
-include scripts/Makefile.in

# Do not include the dependencies when we're cleaning
#    or going to call make recursively again
ifeq "$(MAKECMDGOALS)" ""
NODEP = 1
endif
ifeq "$(MAKECMDGOALS)" "clean"
NODEP = 1
endif
ifeq "$(MAKECMDGOALS)" "distclean"
NODEP = 1
endif
ifeq "$(MAKECMDGOALS)" "clean-gfx"
NODEP = 1
endif
ifeq "$(MAKECMDGOALS)" "remake"
NODEP = 1
endif
ifeq "$(MAKECMDGOALS)" "mrproper"
NODEP = 1
endif
ifeq "$(MAKECMDGOALS)" "maintainer-clean"
NODEP = 1
endif
ifeq "$(MAKECMDGOALS)" "all"
NODEP = 1
endif
ifeq "$(MAKECMDGOALS)" "depend"
NODEP = 1
endif
ifeq "$(MAKECMDGOALS)" "test"
NODEP = 1
endif

ifndef NODEP
-include Makefile.dep
-include $(patsubst %.grf,%.src.dep,$(GRF_FILES))
-include $(patsubst %.grf,%.gfx.dep,$(GRF_FILES))
endif

# Stuff common to all NewGRFs
include scripts/Makefile.common

# Include the language - specific makefile
-include scripts/Makefile.nml
-include scripts/Makefile.nfo

# Include bundles etc
include scripts/Makefile.bundles

=== debian/changelog ===
openttd-opengfx (0.4.7-1) unstable; urgency=low

  * [5c33920] New upstream release 0.4.7. (Closes: #713782)
  * [ebd67e7] Make the build verbose

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 25 Jun 2013 22:03:22 +0200

openttd-opengfx (0.4.6.1-1) unstable; urgency=low

  * [876b659] New upstream release 0.4.6.1.
  * [c896279] Update watch file, upstream changed download urls.
  * [8ad321b] Bump Standards-Version to 3.9.4, no changes required.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 15 Mar 2013 17:13:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: extra
 Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50), nml, gimp
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Browser: http://git.debian.org/?p=collab-maint/openttd-opengfx.git
 Vcs-Git: git://git.debian.org/collab-maint/openttd-opengfx.git
 Homepage: http://dev.openttdcoop.org/projects/opengfx

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,8 @@
 	echo "DO_NOT_INSTALL_CHANGELOG=1" >> Makefile.local
 	echo "DO_NOT_INSTALL_LICENSE=1" >> Makefile.local
 	echo "DO_NOT_INSTALL_DOCS=1" >> Makefile.local
+	# Make the build verbose
+	echo "_V=" >> Makefile.local
 	# Remove all graphics files that can be rebuilt (from gimp xcf
 	# files).
 	make clean-gfx

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://bundles.openttdcoop.org/opengfx/releases/(\d.*)/opengfx-(\d.*)-source\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
